Bug 623652 - very limited amount of resolution options in rhel6 guest
very limited amount of resolution options in rhel6 guest
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-qxl (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Hans de Goede
Desktop QE
: Reopened, ZStream
Depends On:
Blocks: 648933
  Show dependency treegraph
 
Reported: 2010-08-12 08:50 EDT by Lubos Kocman
Modified: 2013-01-10 22:11 EST (History)
7 users (show)

See Also:
Fixed In Version: xorg-x11-drv-qxl-0.0.12-3.el6
Doc Type: Bug Fix
Doc Text:
When using the qxl driver, only a limited number of resolution choices were available for use inside the guest, none of which exceeded 1024x768 in size unless the xorg.conf configuration file was (first created, and then) manually edited. This update ensures that larger resolutions are available for guests with appropriate hardware without needing to manually change xorg.conf.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 10:23:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log from the guest (33.25 KB, application/octet-stream)
2010-08-12 08:50 EDT, Lubos Kocman
no flags Details
dmesg from guest (19.66 KB, application/octet-stream)
2010-08-12 08:50 EDT, Lubos Kocman
no flags Details
spicec log from the client (56.55 KB, application/octet-stream)
2010-08-12 08:53 EDT, Lubos Kocman
no flags Details

  None (edit)
Description Lubos Kocman 2010-08-12 08:50:12 EDT
Created attachment 438427 [details]
Xorg.0.log from the guest

Description of problem:

RHEL6 guest by using qxl driver has very limited option of resolutions.

Version-Release number of selected component (if applicable):

----------------------------------------
guest:

xorg-x11-drv-qxl-0.0.12-2.1.el6.{x86_64,i686}
xorg-x11-server-Xorg-1.7.7-25.el6.x{86_64,i686}

----------------------------------------
client:

spice-client-0.4.2-18.el6.i686

----------------------------------------
host: 

qemu-kvm-0.12.1.2-2.109.el6.x86_64
----------------------------------------

Note: the same issue appeared while host and client were one machine

----------------------------------------

How reproducible:

boot up guest with spice

Steps to Reproduce:
1. something like /usr/libexec/qemu-kvm -vga qxl -soundhw ac97 -device qxl -m 512 -spice port=3005,disable-ticketing /dev/rootvg/lv_rhel6_x86
2. /usr/libexec/spicec -h spice_test_host -p 3005
3. xrandr
  
Actual results:

1024x768
800x600
640x480


Expected results:

resolution up to 1600x1200 including wide-screen resolutions

Additional info:

100% reproducible
Comment 1 Lubos Kocman 2010-08-12 08:50:40 EDT
Created attachment 438428 [details]
dmesg from guest
Comment 2 Lubos Kocman 2010-08-12 08:53:03 EDT
Created attachment 438429 [details]
spicec log from the client
Comment 3 Cameron Meadors 2010-08-12 10:12:52 EDT
Can anyone comment on what resolutions are required to work?  Did resolutions of higher that 1024x768 work in RHEV 2.2?  This information is needed to make decision on how important this bug is.
Comment 4 Søren Sandmann Pedersen 2010-08-17 05:22:49 EDT
Please make sure your xorg.conf file looks something like the following:

Section "ServerLayout"
  	Identifier     "Default Layout"
	Screen      0  "Screen0" 0 0
EndSection

Section "Device"
	Identifier "Videocard0"
	Driver "qxl"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	DefaultDepth     24
	SubSection "Display"
		   Viewport   0 0
		   Depth     24
		   Virtual   1920 1200
	EndSubSection
EndSection


If you still have a problem, please reopen this bug and attach the xorg.conf file you are using.

Thanks,
Comment 5 Lubos Kocman 2010-08-18 09:15:21 EDT
Hello,

It works if I'll setup resolution manually tested on 1440x900 rhel6. RHEL 5 seems to have an issue with that (but this will be opened as a separate bug).
Comment 6 Lubos Kocman 2010-08-18 09:16:53 EDT
Sorry RHEL 5 behaves normally. Wrong configuration applied.
Comment 7 Lubos Kocman 2010-08-25 11:33:46 EDT
Hello

I'd like to reopen this bug as it's an issue (xrandr should detect these resolutions and so on ...). You said that it's not problem of drv-xql, so could you please help me to pick correct component to assign this bug to?

Thank you 
Lubos
Comment 11 Hans de Goede 2010-10-12 03:41:51 EDT
This seems like the RHEL-6 equivalent of bug 581841. I've attached a series of patches there fixing this.
Comment 12 Hans de Goede 2010-10-17 16:38:39 EDT
I've a patch for this, taking and adding devel ack.
Comment 14 Lubos Kocman 2010-10-29 11:07:13 EDT
Build works perfectly for me.
Comment 15 Hans de Goede 2010-11-01 15:09:45 EDT
This is fixed in xorg-x11-drv-qxl-0.0.12-3.el6, moving to modified.
Comment 18 Douglas Silas 2010-11-04 08:11:43 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When using the xql driver, only a limited number of resolution choices were available for use inside the guest, none of which exceeded 1024x768 in size unless the xorg.conf configuration file was (first created, and then) manually edited. This update ensures that larger resolutions are available for guests with appropriate hardware without needing to manually change xorg.conf.
Comment 19 Lubos Kocman 2011-01-03 07:57:45 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-When using the xql driver, only a limited number of resolution choices were available for use inside the guest, none of which exceeded 1024x768 in size unless the xorg.conf configuration file was (first created, and then) manually edited. This update ensures that larger resolutions are available for guests with appropriate hardware without needing to manually change xorg.conf.+When using the qxl driver, only a limited number of resolution choices were available for use inside the guest, none of which exceeded 1024x768 in size unless the xorg.conf configuration file was (first created, and then) manually edited. This update ensures that larger resolutions are available for guests with appropriate hardware without needing to manually change xorg.conf.
Comment 22 errata-xmlrpc 2011-05-19 10:23:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0756.html

Note You need to log in before you can comment on or make changes to this bug.